ranges::views::adjacent_remove_if_fn Struct Reference
Inheritance diagram for ranges::views::adjacent_remove_if_fn:

## Synopsis of methods

constexpr adjacent_remove_if_fn | adjacent_remove_if {}

## Public Member Functions

template<typename Pred >
constexpr auto | operator() (Pred pred) const
Public Member Functions inherited from ranges::views::adjacent_remove_if_base_fn
template<typename Rng , typename Pred >
constexpr auto | operator() (Rng &&rng, Pred pred) const -> adjacent_remove_if_view< all_t< Rng >, Pred > requires viewable_range< Rng > &&forward_range< Rng > &&indirect_binary_predicate_< Pred, iterator_t< Rng >, iterator_t< Rng >>